%define name            ecs
%define full_name       jakarta-%{name}
%define version         1.4.1
%define release         5jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Tools for generating HTML/XML/... elements
License:        Apache License
Source0:        %{name}-%{version}-cvs.tar.bz2
Url:            http://jakarta.apache.org/%{name}
Requires:       regexp
Requires:       xerces-j1
BuildRequires:  ant
BuildRequires:  regexp
BuildRequires:  xerces-j1
Group:          Development/Java
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage project

%description
The Element Construction Set is a Java API for generating elements for
various markup languages it directly supports HTML 4.0 and XML, but can
easily be extended to create tags for any markup language. It is
designed and implemented by Stephan Nagy and Jon S. Stevens.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
export CLASSPATH=\
%{javadir}/regexp.jar:\
%{javadir}/xerces-j1.jar
ant -buildfile build/build-ecs.xml jar
ant -buildfile build/build-ecs.xml javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 bin/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/apidocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf docs/apidocs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README
%{javadir}/*

%files manual
%defattr(-,root,root)
%doc docs/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-5jpp 
- versioned dir for javadoc
- no dependencies for javadoc package
- section macro
- requires and buildrequires xerces-j1

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-4jpp
- javadoc in javadoc package
- official summary

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.4.1-3jpp
- removed packager tag
- new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-2jpp
- first unified release
- s/jPackage/JPackage

* Mon Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-1mdk
- first Mandrake release
